#
# spec file for package goocanvas1
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           goocanvas1
%define _name   goocanvas
Version:        1.0.0
Release:        17.2
Summary:        A cairo-based canvas widget for GTK+
License:        LGPL-2.0
Group:          Development/Libraries/GNOME
Url:            http://sourceforge.net/projects/goocanvas
Source0:        %{_name}-%{version}.tar.bz2
BuildRequires:  cairo-devel
BuildRequires:  gtk2-devel
BuildRequires:  translation-update-upstream
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GooCanvas is similar in many ways to GnomeCanvas and FooCanvas. But it
uses cairo for rendering, has an optional model/view split, and uses
interfaces for items & models (so you can easily turn any application
object into a canvas item or model).

%package -n libgoocanvas3-devel
Summary:        A cairo-based canvas widget for GTK+
Group:          Development/Libraries/GNOME
Requires:       libgoocanvas3 = %{version}
Provides:       goocanvas-doc = %{version}
Obsoletes:      goocanvas-doc < %{version}

%description -n libgoocanvas3-devel
GooCanvas is similar in many ways to GnomeCanvas and FooCanvas. But it
uses cairo for rendering, has an optional model/view split, and uses
interfaces for items & models (so you can easily turn any application
object into a canvas item or model).

%package -n libgoocanvas3
Summary:        A cairo-based canvas widget for GTK+
Group:          System/Libraries
Provides:       goocanvas = %{version}
Obsoletes:      goocanvas < %{version}
Recommends:     libgoocanvas3-lang

%description -n libgoocanvas3
GooCanvas is similar in many ways to GnomeCanvas and FooCanvas. But it
uses cairo for rendering, has an optional model/view split, and uses
interfaces for items & models (so you can easily turn any application
object into a canvas item or model).

%lang_package -n libgoocanvas3
%prep
%setup -q -n %{_name}-%{version}
translation-update-upstream

%build
%configure
make %{?jobs:-j%jobs}

%install
%makeinstall
rm $RPM_BUILD_ROOT/%{_libdir}/*.*a
%find_lang %{_name}

%post -n libgoocanvas3 -p /sbin/ldconfig

%postun -n libgoocanvas3 -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n libgoocanvas3
%defattr(-, root, root)
%doc AUTHORS NEWS README TODO
%{_libdir}/*.so.*

%files -n libgoocanvas3-devel
%defattr(-, root, root)
%{_includedir}/goocanvas-1.0/
%{_libdir}/pkgconfig/goocanvas.pc
%{_libdir}/*.so
%doc %{_datadir}/gtk-doc/html/goocanvas/

%files -n libgoocanvas3-lang -f %{_name}.lang

%changelog
* Sat Sep 21 2013 dimstar@opensuse.org
- Change RPM Group of shared library package to System/Libraries.
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Wed Jun  1 2011 vuntz@opensuse.org
- Rename package to goocanvas1 as we will move to the gtk3 version
  of goocanvas in the goocanvas package.
- Rename lang subpackage to libgoocanvas3-lang to avoid any
  confusion (since goocanvas1-lang would have been installed for
  libgoocanvas3).
- Rename devel subpackage to libgoocanvas3-devel for the same
  reason.
- Change Requires for lang subpackage to a Recommends, as the
  translations are not mandatory.
- Do not add explicit Requires for cairo-devel, gtk2-devel,
  pkg-config in the devel subpackage: they will automatically be
  added the pkgconfig() way.
* Mon May  2 2011 vuntz@opensuse.org
- Update to version 1.0.0:
  + Added "alpha" property to GooCanvasImage to set opacity.
  + Allow setting clip path to NULL to reset it.
  + Allow setting line dash to NULL to reset it.
  + Handle RTL direction better in GooCanvasTable.
  + Fixed GooCanvasGroup bug: use the correct scale argument in
    paint.
  + Fixed GooCanvasPolyline bug: update arrows when line width
    changes.
  + Fixed static items bug: don't clip incorrectly.
  + Improved performance a bit when creating lots of items.
* Mon Jul 20 2009 vuntz@novell.com
- Update to version 0.15:
  + Fixed a bug that caused a hang when using GooCanvasWidget with
    accessibility support turned on.
  + Added "scale-to-fit" property to GooCanvasImage, to scale the
    image to the "width" and "height" settings, instead of just
    clipping.
* Sun Mar 15 2009 vuntz@novell.com
- Update to version 0.14:
  + Added support for tooltips.
  + Added "x", "y", "width" and "height" properties to items that
    didn't have them.
  + Fixed bug in goo_canvas_convert_from_item_space().
  + Added "scroll-event" signal to GooCanvasItem.
- Remove unneeded BuildRequires: gtk-doc.
- Remove goocanvas package since it only contains data that should
  be in libgoocanvas3 now. Have libgoocanvas3 Obsolete/Provide it.
- Merge -doc into -devel as it only contained gtk-doc
- Have the devel package requires libgoocanvas3.
- Remove AutoReqProv: it's default now.
* Mon Feb 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Wed Dec 31 2008 mboman@suse.de
- Update to version 0.13:
  + New GooCanvasGrid item for drawing grids on the canvas.
  + Support for static items that don't move as the canvas is zoomed
    and scrolled (this is a bit experimental).
  + Font hinting is not turned off any more - this means smaller text should
    be more readable. Hopefully it doesn't affect text layout.
  + Fixed a few GooCanvasTable drawing bugs.
  + Fixed GooCanvasText drawing, when align is set.
  + Fixed GooCanvasPolyline is_item_at() code, so the fill isn't tested.
  + Added "animation-finished" signals to GooCanvasItem & Model.
* Fri Oct  3 2008 mboman@suse.de
- Update to version 0.12:
  + Fixed redraws of tables after updates.
  + Fixed problems compiling with libtool 2.2.
* Fri Sep 12 2008 maw@suse.de
- Update to version 0.11:
  + Use the tables' fill and stroke colors to paint its grid and
    background
  + Emit "children_changed" ATK signal when child items
    added/removed.
  + Fixed bug when clipping the entire canvas
  +o Got rid of the XXX_DISABLE_DEPRECATED compilation flags.
* Wed Aug 20 2008 maw@suse.de
- Add goocanvas-g_signal.patch, which updates some deprecated
  code.
* Mon Jun 30 2008 maw@suse.de
- Update to version 0.10:
  + Added support for a border and grid lines to GooCanvasTable,
    with "horz-grid-line-width", "vert-grid-line-width",
    "x-border-spacing", and "y-border-spacing" properties
  + Added "clear-background" property to GooCanvas, to allow
    subclasses to paint their own background if desired
  + Fixed crash when rendering a GooCanvasTable that hasn't been
    updated
  + Fixed possible infinite loop in GooCanvasTable layout
  + Added goo_canvas_text_get_natural_extents() to get the natural
    extents of the text
  + Made "stroke-color-rgba" and "fill-color-rgba" properties
    read/write
  + Added goo_canvas_item_get_simple_transform() and
    goo_canvas_item_model_get_simple_transform(), which do the
    opposite of the set_simple_transform() functions
  + Improved documentation on general architecture and creating
    new items.
* Wed Dec  5 2007 maw@suse.de
- Import into autobuild
- Improve packaging so as to pass internal rpmlist checks.
* Thu Nov  1 2007 maw@suse.de
- Initial package.
